<template functional>
  <div
    :ref="data.ref"
    class="flex flex-col items-center lg:flex-row"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <template v-for="(item, index) in props.items">
      <hyper-link
        :key="index"
        :to="item.path"
        class="footer-item font-medium tracking-wide uppercase"
      >
        {{ item.label }}
      </hyper-link>
    </template>
  </div>
</template>

<script>
export default {
  name: 'FooterLinksArea',
  props: {
    items: { type: Array, default: () => [] },
  },
};
</script>

<style lang="postcss" scoped>
@screen lg {
  .footer-item::after {
    content: '|';
    @apply ml-1 mr-2;
  }
  .footer-item:last-child::after {
    content: '';
    @apply mx-0;
  }
}
</style>
